Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class OrderInAcknowledgementRows
    Inherits BaseObject
    Private _OrderInAcknowledgementHeader As OrderInAcknowledgementHeader
    Private _RowIndex As Long
    Private _RowGroup1 As String 'Szöveges csoportosítás (nem kötelező)
    Private _RowGroup2 As String 'Szöveges másodlagos csoportosítás (nem kötelező)
    Private _ShortName As String
    Private _Description As String
    Private _QTT As Double
    Private _Units As Units 'Mennyiségi egység
    Private _QualityOption As QualityOption 'Minőségi opció
    Private _VAT As VAT 'ÁFA kód
    Private _SumPriceHUF As Double
    Private _SumPriceDEV As Double
    Private _FinalPriceDEV As Double
    Private _FinalPriceHUF As Double
    Private _DateExecution As Date
    Private _OrderInRows As OrderInRows
    Private _OrderInRowsOther As OrderInRowsOther

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()

    End Sub
    <Association("OrderInAcknowledgementHeader-OrderInAcknowledgementRows", GetType(OrderInAcknowledgementHeader))> _
    Property OrderInAcknowledgementHeader As OrderInAcknowledgementHeader
        Get
            Return _OrderInAcknowledgementHeader
        End Get
        Set(value As OrderInAcknowledgementHeader)
            SetPropertyValue("OrderInAcknowledgementHeader", _OrderInAcknowledgementHeader, value)
        End Set
    End Property
    Property RowIndex As Long
        Get
            Return _RowIndex
        End Get
        Set(value As Long)
            SetPropertyValue("RowIndex", _RowIndex, value)
        End Set
    End Property
    Property RowGroup1 As String
        Get
            Return _RowGroup1
        End Get
        Set(value As String)
            SetPropertyValue("RowGroup1", _RowGroup1, value)
        End Set
    End Property
    Property RowGroup2 As String
        Get
            Return _RowGroup2
        End Get
        Set(value As String)
            SetPropertyValue("RowGroup2", _RowGroup2, value)
        End Set
    End Property
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    <Size(-1)> _
    Property Description As String
        Get
            Return _Description
        End Get
        Set(value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    Property QTT As Double
        Get
            Return _QTT
        End Get
        Set(value As Double)
            SetPropertyValue("QTT", _QTT, value)
        End Set
    End Property
    Property Units As Units
        Get
            Return _Units
        End Get
        Set(value As Units)
            SetPropertyValue("Units", _Units, value)
        End Set
    End Property
    Property QualityOption As QualityOption
        Get
            Return _QualityOption
        End Get
        Set(value As QualityOption)
            SetPropertyValue("QualityOption", _QualityOption, value)
        End Set
    End Property
    Property VAT As VAT
        Get
            Return _VAT
        End Get
        Set(value As VAT)
            SetPropertyValue("VAT", _VAT, value)
        End Set
    End Property
    Property SumPriceHUF As Double
        Get
            Return _SumPriceHUF
        End Get
        Set(value As Double)
            SetPropertyValue("SumPriceHUF", _SumPriceHUF, value)
        End Set
    End Property
    Property SumPriceDEV As Double
        Get
            Return _SumPriceDEV
        End Get
        Set(value As Double)
            SetPropertyValue("SumPriceDEV", _SumPriceDEV, value)
        End Set
    End Property
    Property FinalPriceDEV As Double
        Get
            Return _FinalPriceDEV
        End Get
        Set(value As Double)
            SetPropertyValue("FinalPriceDEV", _FinalPriceDEV, value)
        End Set
    End Property
    Property FinalPriceHUF As Double
        Get
            Return _FinalPriceHUF
        End Get
        Set(value As Double)
            SetPropertyValue("FinalPriceHUF", _FinalPriceHUF, value)
        End Set
    End Property
    Property DateExecution As Date
        Get
            Return _DateExecution
        End Get
        Set(value As Date)
            SetPropertyValue("DateExecution", _DateExecution, value)
        End Set
    End Property

    Property OrderInRows As OrderInRows
        Get
            Return _OrderInRows
        End Get
        Set(value As OrderInRows)
            SetPropertyValue("OrderInRows", _OrderInRows, value)
        End Set
    End Property
    Property OrderInRowsOther As OrderInRowsOther
        Get
            Return _OrderInRowsOther
        End Get
        Set(value As OrderInRowsOther)
            SetPropertyValue("OrderInRowsOther", _OrderInRowsOther, value)
        End Set
    End Property
End Class
